Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.pastry.testing
Class RegrTestApp

    java.lang.Object
      rice.pastry.client.PastryAppl
          rice.pastry.client.CommonAPIAppl
              rice.pastry.testing.RegrTestApp

All Implemented Interfaces:
  MessageReceiver

public class RegrTestApp
extends CommonAPIAppl

RegrTestApp A regression test suite for pastry. This is the per-node app object.

Version:
  $Id: RegrTestApp.java 2896 2006-01-09 17:11:50Z jeffh $
Author:
  andrew ladd, peter druschel

Field Summary

Fields inherited from class rice.pastry.client.PastryAppl
`address, instance, logger, thePastryNode`

Constructor Summary
`RegrTestApp(PastryNode pn, PastryRegrTest prg)` Constructor for RegrTestApp.

Method Summary
`void` | `deliver(Id key, Message msg)` DESCRIBE THE METHOD
`void` | `forward(RouteMessage rm)` DESCRIBE THE METHOD
`Address` | `getAddress()` Gets the Address attribute of the RegrTestApp object
`Credentials` | `getCredentials()` Gets the Credentials attribute of the RegrTestApp object
`PastryNode` | `getPastryNode()` Gets the PastryNode attribute of the RegrTestApp object
`void` | `notifyReady()` Invoked when the Pastry node has joined the overlay network and is ready to send and receive messages
`void` | `routeSetChange(NodeHandle nh, boolean wasAdded)` DESCRIBE THE METHOD
`void` | `sendMsg(NodeId nid)` DESCRIBE THE METHOD
`void` | `sendTrace(NodeId nid)` DESCRIBE THE METHOD
`void` | `update(NodeHandle nh, boolean wasAdded)` DESCRIBE THE METHOD

Methods inherited from class rice.pastry.client.CommonAPIAppl
`leafSetChange, localLookup, messageForAppl, neighborSet, range, range, receiveMessage, replicaSet, route`

Methods inherited from class rice.pastry.client.PastryAppl
`deliverWhenNotReady, destroy, enrouteMessage, getLeafSet, getNodeHandle, getNodeId, getRoutingTable, isClosest, registerReceiver, routeMsg, routeMsgDirect, sendMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RegrTestApp

    public RegrTestApp(PastryNode pn,
                       PastryRegrTest prg)

  Constructor for RegrTestApp.

Parameters:
  `pn` - DESCRIBE THE PARAMETER
  `prg` - DESCRIBE THE PARAMETER

Method Detail

### getAddress

    public Address getAddress()

  Gets the Address attribute of the RegrTestApp object

  Overrides:
    `getAddress` in class `PastryAppl`
  Returns:
    The Address value

### getCredentials

    public Credentials getCredentials()

  Gets the Credentials attribute of the RegrTestApp object

  Specified by:
    `getCredentials` in class `CommonAPIAppl`
  Returns:
    The Credentials value

### getPastryNode

    public PastryNode getPastryNode()

  Gets the PastryNode attribute of the RegrTestApp object

  Returns:
    The PastryNode value

### sendMsg

    public void sendMsg(NodeId nid)

  DESCRIBE THE METHOD

  Parameters:
    `nid` - DESCRIBE THE PARAMETER

### sendTrace

    public void sendTrace(NodeId nid)

  DESCRIBE THE METHOD

  Parameters:
    `nid` - DESCRIBE THE PARAMETER

### deliver

    public void deliver(Id key,
                        Message msg)

  DESCRIBE THE METHOD

  Specified by:
    `deliver` in class `CommonAPIAppl`
  Parameters:
    `key` - DESCRIBE THE PARAMETER
    `msg` - DESCRIBE THE PARAMETER

### forward

    public void forward(RouteMessage rm)

  DESCRIBE THE METHOD

  Overrides:
    `forward` in class `CommonAPIAppl`
  Parameters:
    `rm` - DESCRIBE THE PARAMETER

### update

    public void update(NodeHandle nh,
                       boolean wasAdded)

  DESCRIBE THE METHOD

  Overrides:
    `update` in class `CommonAPIAppl`
  Parameters:
    `nh` - DESCRIBE THE PARAMETER
    `wasAdded` - DESCRIBE THE PARAMETER

### routeSetChange

    public void routeSetChange(NodeHandle nh,
                               boolean wasAdded)

  DESCRIBE THE METHOD

  Overrides:
    `routeSetChange` in class `PastryAppl`
  Parameters:
    `nh` - DESCRIBE THE PARAMETER
    `wasAdded` - DESCRIBE THE PARAMETER

### notifyReady

    public void notifyReady()

  Invoked when the Pastry node has joined the overlay network and is ready to send and receive messages

  Overrides:
    `notifyReady` in class `CommonAPIAppl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.